"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

WCPathCommand subclass:#PropsetCommand
	instanceVariableNames:'name value'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Private-Commands'
!


!PropsetCommand methodsFor:'accessing'!

name
    ^ name

    "Created: / 10-10-2008 / 12:43:37 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

name:aString
    name := aString.

    "Created: / 10-10-2008 / 12:43:37 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

value
    ^ value

    "Created: / 10-10-2008 / 12:43:37 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

value:aString
    value := aString.

    "Created: / 10-10-2008 / 12:43:37 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!PropsetCommand methodsFor:'executing - private'!

svnCmd
    "raise an error: must be redefined in concrete subclass(es)"

    ^'propset'

    "Created: / 10-10-2008 / 12:43:04 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

svnCmdArgumentsOn:arg
    "raise an error: must be redefined in concrete subclass(es)"

    arg
	nextPut: name;
	nextPut: value;
	nextPutAll:paths asArray

    "Created: / 10-10-2008 / 12:44:41 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!PropsetCommand class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__PropsetCommand.st 68 2009-04-16 11:35:57Z vranyj1 '
! !
